# Create a new adjustment

POST https://api.letsdeel.com/rest/v2/adjustments
Content-Type: multipart/form-data

Generates a new adjustment entry attributed to a specific worker
 **Token scopes**: `adjustments:write`

Reference: https://developer.deel.com/api/eor-endpoints/adjustments/create-contract-adjustment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /adjustments:
    post:
      operationId: create-contract-adjustment
      summary: Create a new adjustment
      description: |-
        Generates a new adjustment entry attributed to a specific worker
         **Token scopes**: `adjustments:write`
      tags:
        - subpackage_adjustments
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/adjustments_createContractAdjustment_Response_201
        '400':
          description: Bad Request – failed to create adjustments
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateANewAdjustment-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        description: Creation data for a new adjustment
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: File of adjustment.
                title:
                  type: string
                  description: Title of adjustment.
                amount:
                  $ref: >-
                    #/components/schemas/AdjustmentsPostRequestBodyContentMultipartFormDataSchemaAmount
                  description: Amount of adjustment.
                vendor:
                  type: string
                  description: Vendor of adjustment.
                country:
                  type: string
                  description: Country code.
                contract_id:
                  type: string
                  description: >-
                    The identifier of the contract associated with the
                    adjustment
                description:
                  type: string
                  description: Description of adjustment.
                cycle_reference:
                  type: string
                  description: Cycle reference of adjustment.
                move_next_cycle:
                  type:
                    - boolean
                    - 'null'
                  description: If an adjustments can belong to another payroll cycle.
                date_of_adjustment:
                  type:
                    - string
                    - 'null'
                  format: date
                  description: >-
                    Short date in format ISO-8601 (YYYY-MM-DD). For example:
                    2022-12-31.
                adjustment_category_id:
                  type: string
                  description: Adjustment category id.
              required:
                - file
                - title
                - amount
                - vendor
                - country
                - contract_id
                - description
                - adjustment_category_id
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    AdjustmentsPostRequestBodyContentMultipartFormDataSchemaAmount:
      oneOf:
        - type: string
        - type: number
          format: double
      description: Amount of adjustment.
      title: AdjustmentsPostRequestBodyContentMultipartFormDataSchemaAmount
    AdjustmentsPostResponsesContentApplicationJsonSchemaDataFile:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the file
        name:
          type: string
          description: The name of the file
        fileType:
          type: string
          description: The type of the file
      description: '''Adjustment attachement'
      title: AdjustmentsPostResponsesContentApplicationJsonSchemaDataFile
    AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus0:
      type: string
      enum:
        - OPEN
        - PENDING_APPROVAL
        - OVERWRITTEN
        - FAILED
        - SUCCESS
        - AI_CHECK_IN_PROGRESS
      description: Adjustment status (when contract type is GP)
      title: AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus0
    AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus1:
      type: string
      enum:
        - DRAFT
        - PENDING
        - ERRORS_FOUND
        - APPROVED
        - DENIED
        - DISBURSE_SCHEDULED
        - REIMBURSED
        - UNDER_REVIEW
        - PENDING_DEEL_REVIEW
      description: Adjustment status (when contract type is EOR)
      title: AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus1
    AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus:
      oneOf:
        - $ref: >-
            #/components/schemas/AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus0
        - $ref: >-
            #/components/schemas/AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus1
      description: The status of the adjustments
      title: AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus
    AdjustmentsPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the adjustment
        file:
          oneOf:
            - $ref: >-
                #/components/schemas/AdjustmentsPostResponsesContentApplicationJsonSchemaDataFile
            - type: 'null'
          description: '''Adjustment attachement'
        title:
          type: string
          description: The title of the adjustment
        amount:
          type: string
          description: The amount of the adjustment
        status:
          $ref: >-
            #/components/schemas/AdjustmentsPostResponsesContentApplicationJsonSchemaDataStatus
          description: The status of the adjustments
        created_at:
          type: string
          format: date-time
          description: The date and time when the adjustment was created
        updated_at:
          type: string
          format: date-time
          description: The date and time when the adjustment was last updated
        contract_id:
          type: string
          description: The identifier of the contract associated with the adjustment
        description:
          type: string
          description: The description of the adjustment
        cycle_reference:
          type:
            - string
            - 'null'
          description: The reference to the cycle associated with the adjustment
        move_next_cycle:
          type: boolean
          description: If an adjustments can belong to another payroll cycle
        date_of_adjustment:
          type: string
          format: date-time
          description: The date of the adjustment
        actual_end_cycle_date:
          type: string
          description: The date of the actual end cycle date
        adjustment_category_id:
          type: string
          description: >-
            The identifier of the adjustment category associated with the
            adjustment
        actual_start_cycle_date:
          type: string
          description: The date of the actual start cycle date
      title: AdjustmentsPostResponsesContentApplicationJsonSchemaData
    adjustments_createContractAdjustment_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/AdjustmentsPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: adjustments_createContractAdjustment_Response_201
    AdjustmentsPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: AdjustmentsPostResponsesContentApplicationJsonSchemaErrorsItems
    CreateANewAdjustment-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/AdjustmentsPostResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: CreateANewAdjustment-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/adjustments"

files = { "file": "open('file', 'rb')" }
payload = {
    "title": "Your title here",
    "amount": "100.25",
    "vendor": "Vendor",
    "country": "US",
    "contract_id": "m3jk2j",
    "description": "Your description here",
    "cycle_reference": ,
    "move_next_cycle": ,
    "date_of_adjustment": ,
    "adjustment_category_id": "c9cf4c2c0165f48f494415390c3b49"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/adjustments';
const form = new FormData();
form.append('file', 'file');
form.append('title', 'Your title here');
form.append('amount', '100.25');
form.append('vendor', 'Vendor');
form.append('country', 'US');
form.append('contract_id', 'm3jk2j');
form.append('description', 'Your description here');
form.append('cycle_reference', '');
form.append('move_next_cycle', '');
form.append('date_of_adjustment', '');
form.append('adjustment_category_id', 'c9cf4c2c0165f48f494415390c3b49');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/adjustments"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"file\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"title\"\r\n\r\nYour title here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"amount\"\r\n\r\n100.25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"vendor\"\r\n\r\nVendor\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"country\"\r\n\r\nUS\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contract_id\"\r\n\r\nm3jk2j\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nYour description here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"cycle_reference\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"move_next_cycle\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_adjustment\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"adjustment_category_id\"\r\n\r\nc9cf4c2c0165f48f494415390c3b49\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/adjustments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"file\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"title\"\r\n\r\nYour title here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"amount\"\r\n\r\n100.25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"vendor\"\r\n\r\nVendor\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"country\"\r\n\r\nUS\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contract_id\"\r\n\r\nm3jk2j\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nYour description here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"cycle_reference\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"move_next_cycle\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_adjustment\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"adjustment_category_id\"\r\n\r\nc9cf4c2c0165f48f494415390c3b49\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/adjustments")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"file\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"title\"\r\n\r\nYour title here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"amount\"\r\n\r\n100.25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"vendor\"\r\n\r\nVendor\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"country\"\r\n\r\nUS\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contract_id\"\r\n\r\nm3jk2j\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nYour description here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"cycle_reference\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"move_next_cycle\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_adjustment\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"adjustment_category_id\"\r\n\r\nc9cf4c2c0165f48f494415390c3b49\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/adjustments', [
  'multipart' => [
    [
        'name' => 'file',
        'filename' => 'file',
        'contents' => null
    ],
    [
        'name' => 'title',
        'contents' => 'Your title here'
    ],
    [
        'name' => 'amount',
        'contents' => '100.25'
    ],
    [
        'name' => 'vendor',
        'contents' => 'Vendor'
    ],
    [
        'name' => 'country',
        'contents' => 'US'
    ],
    [
        'name' => 'contract_id',
        'contents' => 'm3jk2j'
    ],
    [
        'name' => 'description',
        'contents' => 'Your description here'
    ],
    [
        'name' => 'adjustment_category_id',
        'contents' => 'c9cf4c2c0165f48f494415390c3b49'
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/adjustments");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"file\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"title\"\r\n\r\nYour title here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"amount\"\r\n\r\n100.25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"vendor\"\r\n\r\nVendor\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"country\"\r\n\r\nUS\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contract_id\"\r\n\r\nm3jk2j\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\nYour description here\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"cycle_reference\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"move_next_cycle\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_adjustment\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"adjustment_category_id\"\r\n\r\nc9cf4c2c0165f48f494415390c3b49\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "file",
    "fileName": "file"
  ],
  [
    "name": "title",
    "value": "Your title here"
  ],
  [
    "name": "amount",
    "value": "100.25"
  ],
  [
    "name": "vendor",
    "value": "Vendor"
  ],
  [
    "name": "country",
    "value": "US"
  ],
  [
    "name": "contract_id",
    "value": "m3jk2j"
  ],
  [
    "name": "description",
    "value": "Your description here"
  ],
  [
    "name": "cycle_reference",
    "value": 
  ],
  [
    "name": "move_next_cycle",
    "value": 
  ],
  [
    "name": "date_of_adjustment",
    "value": 
  ],
  [
    "name": "adjustment_category_id",
    "value": "c9cf4c2c0165f48f494415390c3b49"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/adjustments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```